package com.mogo.skin.utils;

import android.content.Context;
import java.io.File;

public class FileUtils {

    /**
     * 获取应用特定的外部存储目录。
     *
     * @param context 应用上下文
     * @return 应用特定的外部存储目录
     */
    public static File getExternalAppDirectory(Context context) {
        // 获取应用特定的外部存储目录
        File externalFilesDir = context.getExternalFilesDir(null);
        if (externalFilesDir == null) {
            // 如果外部存储不可用，可以考虑使用内部存储或其他逻辑
            return context.getFilesDir();
        }
        return externalFilesDir;
    }

    /**
     * 获取应用特定的外部存储目录下的子目录。
     *
     * @param context 应用上下文
     * @param subDir  子目录名称
     * @return 应用特定的外部存储目录下的子目录
     */
    public static File getExternalAppSubDirectory(Context context, String subDir) {
        // 获取应用特定的外部存储目录
        File externalFilesDir = getExternalAppDirectory(context);
        // 创建并返回子目录
        return new File(externalFilesDir, subDir);
    }
}